||
Skip to end of metadata
Go to start of metadata

Published: 30th September 2016


OVERVIEW

An XSS vulnerability was discovered in the error responses for the API requests received by API Manager 2.0.0 for invalid resource paths.


DESCRIPTION

The requests made to an API with resource paths containing invalid contexts/resource names/methods that are made of malicious scripts could result in reflected XSS attacks via the error responses returned by the API Manager.

 

IMPACT

If the error response containing the malicious script which was sent along with the request gets displayed on the client side, that script could get executed in the user’s browser resulting in a reflected XSS attack.


SOLUTION

Apply the patch WSO2-CARBON-PATCH-4.4.0-0398 for API Manager 2.0.0. Follow the instructions in the README file inside the patch. Patches can also be downloaded from http://wso2.com/security-patch-releases/. If you have any questions, please post them to [email protected].  



  • No labels